curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../limit?eoa=0xabc..."
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../limit?eoa=0xabc...'
);
const data = await response.json();
{
"limit": 100000
}
Agents
Get Limit
Get deposit limit for a wallet
GET
/
api
/
v1
/
{chain_id}
/
wallets
/
{wallet}
/
limit
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../limit?eoa=0xabc..."
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../limit?eoa=0xabc...'
);
const data = await response.json();
{
"limit": 100000
}
SDK Alternative: Use
agent.limit(eoa) for a simpler TypeScript interface. See SDK docsDescription
Retrieves the deposit limit and current balance for a wallet.Path Parameters
integer
required
The blockchain chain ID
string
required
The wallet address
Query Parameters
string
required
The origin wallet (EOA) address
Response
number
Maximum deposit limit
curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../limit?eoa=0xabc..."
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../limit?eoa=0xabc...'
);
const data = await response.json();
{
"limit": 100000
}